Skip to main content
GET
/
conversations
/
custom-channels
/
2026-03
/
{channelId}
/
channel-accounts
Get accounts for a channel
curl --request GET \
  --url https://api.hubapi.com/conversations/custom-channels/2026-03/{channelId}/channel-accounts \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "active": true,
      "archived": true,
      "authorized": true,
      "channelId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "inboxId": "<string>",
      "name": "<string>",
      "archivedAt": "2023-11-07T05:31:56Z",
      "deliveryIdentifier": {
        "type": "CHANNEL_SPECIFIC_OPAQUE_ID",
        "value": "<string>"
      }
    }
  ],
  "total": 123,
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    },
    "prev": {
      "before": "<string>",
      "link": "<string>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

channelId
integer<int32>
required

Query Parameters

after
string

The paging cursor token of the last successfully read resource will be returned as the paging.next.after JSON property of a paged response containing more results.

archived
boolean

Whether to return only results that have been archived.

defaultPageLength
integer<int32>
deliveryIdentifierType
enum<string>[]
Available options:
HS_EMAIL_ADDRESS,
HS_PHONE_NUMBER,
HS_SHORT_CODE,
CHANNEL_SPECIFIC_OPAQUE_ID
deliveryIdentifierValue
string[]
limit
integer<int32>

The maximum number of results to display per page.

sort
string[]

Response

successful operation

results
object[]
required
total
integer<int32>
required
paging
object
Last modified on March 30, 2026